librime: rime::UniquifiedCandidate Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::UniquifiedCandidate Class Reference

`#include <candidate.h>`

Inheritance diagram for rime::UniquifiedCandidate:
[legend]
Collaboration diagram for rime::UniquifiedCandidate:
[legend]

## Public Member Functions
| UniquifiedCandidate (const an< Candidate > &item, const string &type, const string &text=string(), const string &comment=string())
const string & | text () const
string | comment () const
string | preedit () const
void | Append (an< Candidate > item)
const CandidateList & | items () const
Public Member Functions inherited from rime::Candidate
| Candidate ()=default
| Candidate (const string &type, size_t start, size_t end, double quality=0.)
virtual | ~Candidate ()=default
int | compare (const Candidate &other)
const string & | type () const
size_t | start () const
size_t | end () const
double | quality () const
void | set_type (const string &type)
void | set_start (size_t start)
void | set_end (size_t end)
void | set_quality (double quality)

## Protected Attributes
string | text_
string | comment_
CandidateList | items_

## Additional Inherited Members
Static Public Member Functions inherited from rime::Candidate
static an< Candidate > | GetGenuineCandidate (const an< Candidate > &cand)
static vector< of< Candidate > > | GetGenuineCandidates (const an< Candidate > &cand)

## Constructor & Destructor Documentation

## ◆ UniquifiedCandidate()

rime::UniquifiedCandidate::UniquifiedCandidate | ( | const an< Candidate > & | item,
|  | const string & | type,
|  | const string & | text = string(),
|  | const string & | comment = string() )
| inline

## Member Function Documentation

## ◆ Append()

void rime::UniquifiedCandidate::Append | ( | an< Candidate > | item | ) |
| inline

## ◆ comment()

string rime::UniquifiedCandidate::comment | ( |  | ) | const
| inlinevirtual

Reimplemented from rime::Candidate.

## ◆ items()

const CandidateList & rime::UniquifiedCandidate::items | ( |  | ) | const
| inline

## ◆ preedit()

string rime::UniquifiedCandidate::preedit | ( |  | ) | const
| inlinevirtual

Reimplemented from rime::Candidate.

## ◆ text()

const string & rime::UniquifiedCandidate::text | ( |  | ) | const
| inlinevirtual

Implements rime::Candidate.

## Member Data Documentation

## ◆ comment_

string rime::UniquifiedCandidate::comment_
| protected

## ◆ items_

CandidateList rime::UniquifiedCandidate::items_
| protected

## ◆ text_

string rime::UniquifiedCandidate::text_
| protected

The documentation for this class was generated from the following file:

- candidate.h